<div class="modal-body">

    {% import _self as formMacros %}

    {{ form_start(form) }}

    <div class="row js-groupAcls-wrapper"
         data-prototype="{{ formMacros.printGroupAclsRow(form.groupAcls.vars.prototype)|e('html_attr') }}"
         data-index="{{ form.groupAcls|length }}"
    >
        <h5>Groups</h5>
        {% for groupAclForm in form.groupAcls %}
            {{ formMacros.printGroupAclsRow(groupAclForm) }}
        {% endfor %}
        <a href="#" class="js-add-groupAcl">
            <i class="bi bi-plus-circle"></i>
        </a>
    </div>
    <div class="row js-userAcls-wrapper my-4"
         data-prototype="{{ formMacros.printUserAclsRow(form.userAcls.vars.prototype)|e('html_attr') }}"
         data-index="{{ form.userAcls|length }}"
    >
        <h5>Users</h5>
        {% for userAclForm in form.userAcls %}
            {{ formMacros.printUserAclsRow(userAclForm) }}
        {% endfor %}
        <a href="#" class="js-add-userAcl">
            <i class="bi bi-plus-circle"></i>
        </a>
    </div>


    <div class="modal-footer">
        <button class="btn btn-primary px-3">{{ button_label|default('Salva') }}</button>
        {{ form_end(form) }}
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
    </div>
</div>


{% macro printGroupAclsRow(groupAclForm) %}

    <div class="row js-groupAcl-item">
        <div class="col-1">
            <a href="#" class="js-remove-groupAcl">
                <i class="bi bi-dash-circle"></i>
            </a>
            {{ form_errors(groupAclForm) }}
        </div>
        <div class="col">
            <div class="row">
                <div class="col">
                    {{ form_widget(groupAclForm.group) }}
                </div>
                <div class="col">
                    {{ form_widget(groupAclForm.permission) }}
                </div>

            </div>
        </div>
    </div>

{% endmacro %}


{% macro printUserAclsRow(userAclForm) %}

    <div class="row js-userAcl-item">
        <div class="col-1">
            <a href="#" class="js-remove-userAcl">
                <i class="bi bi-dash-circle"></i>
            </a>
            {{ form_errors(userAclForm) }}
        </div>
        <div class="col">
            <div class="row">
                <div class="col">
                    {{ form_widget(userAclForm.user) }}
                </div>
                <div class="col">
                    {{ form_widget(userAclForm.permission) }}
                </div>

            </div>
        </div>
    </div>

{% endmacro %}




